:root {
    --left: 40vw;
    --leftBase:13.6vw;
    --bottom:50vh;
    --bottomBase:10vh;
    --avionHeight:2vh;
    --avionWidth:1vw;

    --bottomCible1:35vh;
    --leftCible1:30vw;
    --cible1Width:30vw;
    --cible1Height:30vh;

    --bottomCible2:35vh;
    --leftCible2:30vw;
    --cible2Width:30vw;
    --cible2Height:30vh;

    --bottomCible3:35vh;
    --leftCible3:30vw;
    --cible3Width:30vw;
    --cible3Height:30vh;

}
#label{
    position: absolute;
    bottom: 0px ;
    right: 13vw;
    color:white;
    display: none;
}
#vie{

    width: 30% !important;
    position: absolute;
    left : 60vw!important;
    bottom: 10px!important;

}
.uk-progress{
    background-color: #0e6dcd!important;
}
#cible1{
    transition : 4s;
    position : absolute;
    width: var(--cible1Width);
    height: var(--cible1Height);
    left: var(--leftCible1);
    bottom: var(--bottomCible1);
    transform-style: preserve-3d;
}

#cible2{
    transition : 4s;
    position : absolute;
    width: var(--cible2Width);
    height: var(--cible2Height);
    left: var(--leftCible2);
    bottom: var(--bottomCible2);
    transform-style: preserve-3d;
}

#cible3{
    transition : 4s;
    position : absolute;
    width: var(--cible3Width);
    height: var(--cible3Height);
    left: var(--leftCible3);
    bottom: var(--bottomCible3);
    transform-style: preserve-3d;
}
body{
    width: 90vw;
    height: 90vh;
    overflow: hidden;
    padding : 5vw 5vh;
    background-color : white;
}

#time{
    position: absolute;
    top: 10px;
    right : 10px;
    color : white;
}
#container{
    position: absolute;
    left : 5vw;
    top : 5vh;
    height: 90vh;
    width: 90vw;
    overflow: hidden;

    background-color : black;
}

#avion{
    width: var(--avionWidth);
    height: var(--avionHeight);
    position: absolute;
    left : var(--left);
    bottom : var(--bottom);
    color: white;
}

#viseur{
    position: absolute;
    left : -155px;
    bottom :-330px;
    color : white;
    width: 300px;
    height: 300px;
    font-size: 20px;
}
.tirer{

    position: absolute;
    left : var(--leftBase);
    bottom : var(--bottomBase);
    height: 10%;
    width :10%;
    animation :tirer 0.7s forwards;
    background-size: cover;
    background-image: url("../images/missile.png");
}

@keyframes tirer {
    0%{left : calc(var(--leftBase) *0.75);bottom : var(--bottomBase) ;visibility: visible; transform : rotate(0deg)}
    90%{left : calc(var(--leftBase) *0.75); bottom : calc(var(--bottomBase)*5.3);transform: rotate3d(1,0,0,45deg) rotate(680deg);}
    100%{ left : calc(var(--leftBase) *0.75); bottom : calc(var(--bottomBase)*5.3); transform: rotate3d(1,0,0,45deg) rotate(680deg);visibility: hidden;}
}
@keyframes reset {
    0%{transition : 0.1s;}
    100%{transition : 0.1s;}


}

@keyframes approche{
    0%{width: 1px; height: 1px;transform: translateZ(10px);}
    50%{width: 10vw; height: 10vh;}
    60%{transform: translateZ(1000px);
        transform: translateX(50px);
    }



}




/*Vaisseau */

/* /!\ You need to add vendor prefixes in order to render the CSS properly (or simply use http://leaverou.github.io/prefixfree/) /!\ */

#vaisseau{
    z-index: 10000;
    width: 80em;
    height: 80em;
}
#tridiv {
    z-index: 10000;
    perspective: 800px;
    position: absolute;
    overflow: hidden;
    width: 100%;
    height: 100%;
    font-size: 50.5%;
}


.face {
    box-shadow: inset 0 0 0 1px rgba(0, 0, 0, 1);
}
.scene, .shape, .face, .face-wrapper, .cr {
    position: absolute;
    transform-style: preserve-3d;
}
.scene {
    width: 80em;
    height: 80em;
    top: 50%;
    left: 50%;
    margin: -40em 0 0 -40em;
    transform:rotateX(157deg) rotateY(270deg) rotateZ(0deg);
    transition : 1s;
}

.tourneADroite{
    transform:rotateX(145deg) rotateY(302deg) rotateZ(-7deg)!important;

}
.tourneAGauche{
    transform:rotateX(157deg) rotateY(238deg) rotateZ(-0deg)!important;

}

.monte{
    transform:rotateX(136deg) rotateY(270deg) rotateZ(0deg)!important;

}
.descend{
    transform:rotateX(178deg) rotateY(270deg) rotateZ(0deg)!important;

}
.shape {
    top: 50%;
    left: 50%;
    width: 0;
    height: 0;
    transform-origin: 50%;
}
.face, .face-wrapper {
    overflow: hidden;
    transform-origin: 0 0;
    backface-visibility: hidden;
    /* hidden by default, prevent blinking and other weird rendering glitchs */
}
.face {
    background-size: 100% 100%!important;
    background-position: center;
}
.face-wrapper .face {
    left: 100%;
    width: 100%;
    height: 100%
}
.photon-shader {
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%
}
.side {
    left: 50%;
}
.cr, .cr .side {
    height: 100%;
}
[class*="cylinder"] .tp {
    transform: rotateX(90deg) translateY(-50%);
}
[class*="cylinder"] .bm {
    transform: rotateX(-90deg) translateY(-50%);
}
[class*="cylinder"] .tp, [class*="cylinder"] .bm, [class*="cylinder"] .tp .photon-shader, [class*="cylinder"] .bm .photon-shader {
    border-radius: 50%;
}
[class*="cylinder"] .bm {
    top: 100%;
}
[class*="pyramid"] .face-wrapper .face {
    transform: rotateZ(45deg) translateX(-35.35%) translateY(35.35%);
}
[class*="pyramid"] .bk {
    left: 100%;
}
[class*="pyramid"] .bm {
    top: 100%;
    transform: rotateX(-90deg) translateY(-50%);
}
[class*="pyramid"] .rt, [class*="pyramid"] .lt {
    transform-origin: 50% 0;
}
[class*="cuboid"] .ft, [class*="cuboid"] .bk {
    width: 100%;
    height: 100%;
}
[class*="cuboid"] .bk {
    left: 100%;
}
[class*="cuboid"] .rt {
    transform: rotateY(-90deg) translateX(-50%);
}
[class*="cuboid"] .lt {
    transform: rotateY(90deg) translateX(-50%);
}
[class*="cuboid"] .tp {
    transform: rotateX(90deg) translateY(-50%);
}
[class*="cuboid"] .bm {
    transform: rotateX(-90deg) translateY(-50%);
}
[class*="cuboid"] .lt {
    left: 100%;
}
[class*="cuboid"] .bm {
    top: 100%;
}
[class*="prism"] .ft, [class*="prism"] .bk {
    width: 100%;
    height: 100%;
}
[class*="prism"] .bk {
    left: 100%;
}
[class*="prism"] .rt {
    transform: rotateY(-90deg) translateX(-50%);
}
[class*="prism"] .lt {
    transform: rotateY(90deg) translateX(-50%);
}
[class*="prism"] .bm {
    transform: rotateX(-90deg) translateY(-50%);
}
[class*="prism"] .lt {
    left: 100%;
}
[class*="prism"] .bm {
    top: 100%;
}
[class*="prism"] .rt .face {
    left: -100%;
    transform-origin: 100% 0;
}
/* .cyl-1 styles */
.cyl-1 {
    transform:translate3D(0em, 0em, 0em) rotateX(0deg) rotateY(-180deg) rotateZ(90deg);
    opacity:1;
    width:6.75em;
    height:5.25em;
    margin:-2.625em 0 0 -3.375em;
}
.cyl-1 .tp, .cyl-1 .bm {
    width:6.75em;
    height:6.75em;
}
.cyl-1 .side {
    width:1.2867936804788458em;
    height:5.25em;
}
.cyl-1 .s0 {
    transform: rotateY(10.588235294117647deg) translate3D(-50%, 0, 3.35em);
}
.cyl-1 .s1 {
    transform: rotateY(31.764705882352942deg) translate3D(-50%, 0, 3.35em);
}
.cyl-1 .s2 {
    transform: rotateY(52.94117647058823deg) translate3D(-50%, 0, 3.35em);
}
.cyl-1 .s3 {
    transform: rotateY(74.11764705882354deg) translate3D(-50%, 0, 3.35em);
}
.cyl-1 .s4 {
    transform: rotateY(95.29411764705883deg) translate3D(-50%, 0, 3.35em);
}
.cyl-1 .s5 {
    transform: rotateY(116.47058823529412deg) translate3D(-50%, 0, 3.35em);
}
.cyl-1 .s6 {
    transform: rotateY(137.64705882352942deg) translate3D(-50%, 0, 3.35em);
}
.cyl-1 .s7 {
    transform: rotateY(158.8235294117647deg) translate3D(-50%, 0, 3.35em);
}
.cyl-1 .s8 {
    transform: rotateY(180deg) translate3D(-50%, 0, 3.35em);
}
.cyl-1 .s9 {
    transform: rotateY(201.1764705882353deg) translate3D(-50%, 0, 3.35em);
}
.cyl-1 .s10 {
    transform: rotateY(222.35294117647058deg) translate3D(-50%, 0, 3.35em);
}
.cyl-1 .s11 {
    transform: rotateY(243.52941176470588deg) translate3D(-50%, 0, 3.35em);
}
.cyl-1 .s12 {
    transform: rotateY(264.70588235294116deg) translate3D(-50%, 0, 3.35em);
}
.cyl-1 .s13 {
    transform: rotateY(285.88235294117646deg) translate3D(-50%, 0, 3.35em);
}
.cyl-1 .s14 {
    transform: rotateY(307.0588235294117deg) translate3D(-50%, 0, 3.35em);
}
.cyl-1 .s15 {
    transform: rotateY(328.235294117647deg) translate3D(-50%, 0, 3.35em);
}
.cyl-1 .s16 {
    transform: rotateY(349.4117647058823deg) translate3D(-50%, 0, 3.35em);
}
.cyl-1 .face, .cyl-1 .side {
    background-color:#d25656;
}
/* .pyr-1 styles */
.pyr-1 {
    transform:translate3D(9em, 0em, 0em) rotateX(0deg) rotateY(0deg) rotateZ(90deg);
    opacity:1;
    width:4.5em;
    height:14.25em;
    margin:-7.125em 0 0 -2.25em;
}
.pyr-1 .face-wrapper {
    width:4.5em;
    height:2.25em;
}
.pyr-1 .face-wrapper .face {
    width:4.5em;
    height:4.5em;
}
.pyr-1 .ft {
    transform:scaleZ(6.411794687223781) scaleY(6.411794687223781) rotateX(8.972626614896399deg);
}
.pyr-1 .bk {
    transform:scaleZ(6.411794687223781) scaleY(6.411794687223781) rotateX(-8.972626614896399deg) rotateY(180deg);
}
.pyr-1 .rt {
    transform:scaleX(6.411794687223781) scaleY(6.411794687223781) rotateZ(8.972626614896399deg) rotateY(-90deg);
}
.pyr-1 .lt {
    transform:scaleX(6.411794687223781) scaleY(6.411794687223781) rotateZ(-8.972626614896399deg) rotateY(90deg);
}
.pyr-1 .bm {
    width:4.5em;
    height:4.5em;
}
.pyr-1 .face {
    background-color:#cab549;
}
/* .pyr-2 styles */
.pyr-2 {
    transform:translate3D(9em, 0em, 0em) rotateX(45deg) rotateY(0deg) rotateZ(90deg);
    opacity:1;
    width:4.5em;
    height:14.25em;
    margin:-7.125em 0 0 -2.25em;
}
.pyr-2 .face-wrapper {
    width:4.5em;
    height:2.25em;
}
.pyr-2 .face-wrapper .face {
    width:4.5em;
    height:4.5em;
}
.pyr-2 .ft {
    transform:scaleZ(6.411794687223781) scaleY(6.411794687223781) rotateX(8.972626614896399deg);
}
.pyr-2 .bk {
    transform:scaleZ(6.411794687223781) scaleY(6.411794687223781) rotateX(-8.972626614896399deg) rotateY(180deg);
}
.pyr-2 .rt {
    transform:scaleX(6.411794687223781) scaleY(6.411794687223781) rotateZ(8.972626614896399deg) rotateY(-90deg);
}
.pyr-2 .lt {
    transform:scaleX(6.411794687223781) scaleY(6.411794687223781) rotateZ(-8.972626614896399deg) rotateY(90deg);
}
.pyr-2 .bm {
    width:4.5em;
    height:4.5em;
}
.pyr-2 .face {
    background-color:#aeea0b;
}
/* .cub-1 styles */
.cub-1 {
    transform:translate3D(-4.5em, 0em, 0em) rotateX(0deg) rotateY(0deg) rotateZ(0deg);
    opacity:1;
    width:12em;
    height:1.5em;
    margin:-0.75em 0 0 -6em;
}
.cub-1 .ft {
    transform:translateZ(3.375em);
}
.cub-1 .bk {
    transform:translateZ(-3.375em) rotateY(180deg);
}
.cub-1 .rt, .cub-1 .lt {
    width:6.75em;
    height:1.5em;
}
.cub-1 .tp, .cub-1 .bm {
    width:12em;
    height:6.75em;
}
.cub-1 .face {
    background-color:#262626;
}
.cub-1 .tp {
    background:url(https://pbs.twimg.com/profile_images/1234879094967406592/_7Fo9uFE_400x400.jpg);
}
.cub-1 .bm {
    background:url(https://pbs.twimg.com/profile_images/1234879094967406592/_7Fo9uFE_400x400.jpg);
}
/* .pri-1 styles */
.pri-1 {
    transform:translate3D(-7.5em, 0em, 6.75em) rotateX(-450deg) rotateY(0deg) rotateZ(0deg);
    opacity:1;
    width:12em;
    height:6.75em;
    margin:-3.375em 0 0 -6em;
}
.pri-1 .rt .face {
    transform:rotateZ(-12.528807709151492deg);
}
.pri-1 .lt .face {
    transform:rotateZ(12.528807709151492deg);
}
.pri-1 .ft {
    height:6.914658342969665em;
    transform:translateZ(-0.75em) rotateX(12.528807709151492deg);
}
.pri-1 .bk {
    transform:translateZ(-0.75em) rotateY(180deg);
}
.pri-1 .rt, .pri-1 .lt {
    width:1.5em;
    height:6.75em;
}
.pri-1 .rt .face, .pri-1 .lt .face {
    height:6.914658342969665em;
}
.pri-1 .bm {
    width:12em;
    height:1.5em;
}
.pri-1 .face {
    background-color:#000000;
}
.pri-1 .ft {
    background:url(../images/simplongre.jpg);
}
/* .pri-2 styles */
.pri-2 {
    transform:translate3D(-7.5em, 0em, -6.75em) rotateX(-450deg) rotateY(0deg) rotateZ(180deg);
    opacity:1;
    width:12em;
    height:6.75em;
    margin:-3.375em 0 0 -6em;
}
.pri-2 .rt .face {
    transform:rotateZ(-12.528807709151492deg);
}
.pri-2 .lt .face {
    transform:rotateZ(12.528807709151492deg);
}
.pri-2 .ft {
    height:6.914658342969665em;
    transform:translateZ(-0.75em) rotateX(12.528807709151492deg);
}
.pri-2 .bk {
    transform:translateZ(-0.75em) rotateY(180deg);
}
.pri-2 .rt, .pri-2 .lt {
    width:1.5em;
    height:6.75em;
}
.pri-2 .rt .face, .pri-2 .lt .face {
    height:6.914658342969665em;
}
.pri-2 .bm {
    width:12em;
    height:1.5em;
}
.pri-2 .face {
    background-color:#050505;
}
.pri-2 .ft {
    background:url(../images/simplongre.jpg);
}
/* .cyl-2 styles */
.cyl-2 {
    transform:translate3D(-12.75em, -0.75em, 6em) rotateX(540deg) rotateY(-360deg) rotateZ(90deg);
    opacity:1;
    width:1.5em;
    height:5.25em;
    margin:-2.625em 0 0 -0.75em;
}
.cyl-2 .tp, .cyl-2 .bm {
    width:1.5em;
    height:1.5em;
}
.cyl-2 .side {
    width:0.36736521158522495em;
    height:5.25em;
}
.cyl-2 .s0 {
    transform: rotateY(12.857142857142858deg) translate3D(-50%, 0, 0.725em);
}
.cyl-2 .s1 {
    transform: rotateY(38.57142857142857deg) translate3D(-50%, 0, 0.725em);
}
.cyl-2 .s2 {
    transform: rotateY(64.28571428571429deg) translate3D(-50%, 0, 0.725em);
}
.cyl-2 .s3 {
    transform: rotateY(90deg) translate3D(-50%, 0, 0.725em);
}
.cyl-2 .s4 {
    transform: rotateY(115.71428571428572deg) translate3D(-50%, 0, 0.725em);
}
.cyl-2 .s5 {
    transform: rotateY(141.42857142857144deg) translate3D(-50%, 0, 0.725em);
}
.cyl-2 .s6 {
    transform: rotateY(167.14285714285714deg) translate3D(-50%, 0, 0.725em);
}
.cyl-2 .s7 {
    transform: rotateY(192.85714285714286deg) translate3D(-50%, 0, 0.725em);
}
.cyl-2 .s8 {
    transform: rotateY(218.57142857142858deg) translate3D(-50%, 0, 0.725em);
}
.cyl-2 .s9 {
    transform: rotateY(244.2857142857143deg) translate3D(-50%, 0, 0.725em);
}
.cyl-2 .s10 {
    transform: rotateY(270deg) translate3D(-50%, 0, 0.725em);
}
.cyl-2 .s11 {
    transform: rotateY(295.7142857142857deg) translate3D(-50%, 0, 0.725em);
}
.cyl-2 .s12 {
    transform: rotateY(321.4285714285714deg) translate3D(-50%, 0, 0.725em);
}
.cyl-2 .s13 {
    transform: rotateY(347.1428571428571deg) translate3D(-50%, 0, 0.725em);
}
.cyl-2 .face, .cyl-2 .side {
    background-color:#ffd500;
}
/* .cyl-3 styles */
.cyl-3 {
    transform:translate3D(-12.75em, -0.75em, -6em) rotateX(540deg) rotateY(-360deg) rotateZ(90deg);
    opacity:1;
    width:1.5em;
    height:5.25em;
    margin:-2.625em 0 0 -0.75em;
}
.cyl-3 .tp, .cyl-3 .bm {
    width:1.5em;
    height:1.5em;
}
.cyl-3 .side {
    width:0.36736521158522495em;
    height:5.25em;
}
.cyl-3 .s0 {
    transform: rotateY(12.857142857142858deg) translate3D(-50%, 0, 0.725em);
}
.cyl-3 .s1 {
    transform: rotateY(38.57142857142857deg) translate3D(-50%, 0, 0.725em);
}
.cyl-3 .s2 {
    transform: rotateY(64.28571428571429deg) translate3D(-50%, 0, 0.725em);
}
.cyl-3 .s3 {
    transform: rotateY(90deg) translate3D(-50%, 0, 0.725em);
}
.cyl-3 .s4 {
    transform: rotateY(115.71428571428572deg) translate3D(-50%, 0, 0.725em);
}
.cyl-3 .s5 {
    transform: rotateY(141.42857142857144deg) translate3D(-50%, 0, 0.725em);
}
.cyl-3 .s6 {
    transform: rotateY(167.14285714285714deg) translate3D(-50%, 0, 0.725em);
}
.cyl-3 .s7 {
    transform: rotateY(192.85714285714286deg) translate3D(-50%, 0, 0.725em);
}
.cyl-3 .s8 {
    transform: rotateY(218.57142857142858deg) translate3D(-50%, 0, 0.725em);
}
.cyl-3 .s9 {
    transform: rotateY(244.2857142857143deg) translate3D(-50%, 0, 0.725em);
}
.cyl-3 .s10 {
    transform: rotateY(270deg) translate3D(-50%, 0, 0.725em);
}
.cyl-3 .s11 {
    transform: rotateY(295.7142857142857deg) translate3D(-50%, 0, 0.725em);
}
.cyl-3 .s12 {
    transform: rotateY(321.4285714285714deg) translate3D(-50%, 0, 0.725em);
}
.cyl-3 .s13 {
    transform: rotateY(347.1428571428571deg) translate3D(-50%, 0, 0.725em);
}
.cyl-3 .face, .cyl-3 .side {
    background-color:#fff700;
}







.contener_box
{
    -webkit-perspective: 1000px;
    -moz-perspective: 1000px;
    -ms-perspective: 1000px;
    perspective: 1000px;
}
.box {
    display: block;
    width: 100px;
    height: 100px;
    margin: 50px;
    -webkit-transform-style: preserve-3d;
    -webkit-transition: transform 350ms;
    -webkit-animation: spin 4s infinite linear;
    -moz-transform-style: preserve-3d;
    -moz-transition: transform 350ms;
    -moz-animation: spin 4s infinite linear;
    -ms-transform-style: preserve-3d;
    -ms-transition: transform 350ms;
    -ms-animation: spin 4s infinite linear;
    transform-style: preserve-3d;
    transition: transform 350ms;
    animation: spin 4s infinite linear;
}

.box:before, .box:after, .box i, .box i:before, .box i:after {
    content: '';
    display: block;
    width: 100px;
    height: 100px;
    position: absolute;
    -webkit-animation: lighting 2s infinite linear;
    -moz-animation: lighting 2s infinite linear;
    -ms-animation: lighting 2s infinite linear;
    animation: lighting 2s infinite linear;
}
.box3:before{    background-image: url("../images/symfony.jpg")!important;
}
.box2:before{    background-image: url("../images/jquery.png")!important; background-position-x:135px!important;
}
.box:before {
    -webkit-transform: rotateY(90deg) translate3D(-50px,0,50px);
    -moz-transform: rotateY(90deg) translate3D(-50px,0,50px);
    -ms-transform: rotateY(90deg) translate3D(-50px,0,50px);
    transform: rotateY(90deg) translate3D(-50px,0,50px);
    background-image: url("../images/cv.jpg");
    background-size: cover;
    content:'';
}
.box3:after {    background-image: url("../images/symfonyrevert.jpg")!important;}

.box2:after {    background-image: url("../images/bonbons.jpg")!important;}

.box:after {
    -webkit-transform: rotateY(90deg) rotateZ(180deg) translate3D(50px,0,-50px);
    -moz-transform: rotateY(90deg) rotateZ(180deg) translate3D(50px,0,-50px);
    -ms-transform: rotateY(90deg) rotateZ(180deg) translate3D(50px,0,-50px);
    transform: rotateY(90deg) rotateZ(180deg) translate3D(50px,0,-50px);
    background-image: url("../images/cvrevert.jpg");
    background-size: cover;
    content:'';
}
.box3 i {background-image: url("../images/thomas.jpg")!important}
.box2 i {background-image: url("../images/cedric.png")!important}
.box i {
    -webkit-transform-style: preserve-3d;
    -webkit-transform: translate3D(0,0,100px);
    -webkit-animation-delay: 1s;
    -moz-transform-style: preserve-3d;
    -moz-transform: translate3D(0,0,100px);
    -moz-animation-delay: 1s;
    -ms-transform-style: preserve-3d;
    -ms-transform: translate3D(0,0,100px);
    -ms-animation-delay: 1s;
    transform-style: preserve-3d;
    transform: translate3D(0,0,100px);
    animation-delay: 1s;
    background-image: url("../images/marie.jpeg");
    background-size: cover;
}
.box3 i:before {    background-image: url("../images/thomas.jpg")!important;
}
.box2 i:before {    background-image: url("../images/cedric.png")!important;
}
.box i:before {

    -webkit-transform: rotate(90deg) translate3D(0,0,-100px);
    -webkit-animation-delay: 1s;
    -moz-transform: rotate(90deg) translate3D(0,0,-100px);
    -moz-animation-delay: 1s;
    -ms-transform: rotate(90deg) translate3D(0,0,-100px);
    -ms-animation-delay: 1s;
    transform: rotate(0deg) translate3D(0,0,-100px);
    animation-delay: 1s;
    background-image: url("../images/marie.jpeg");
    background-size: cover;
}


.box i:after {
    -webkit-transform: rotateX(90deg) translate3D(0,-50px,-100px);
    background-color: #999999;
    box-shadow: 0 0 30px rgba(0,0,0,1);
    -webkit-filter: blur(10px);
    opacity: 0.5;
    -webkit-animation: none;
    -moz-transform: rotateX(90deg) translate3D(0,-50px,-100px);
    background-color: #999999;
    box-shadow: 0 0 30px rgba(0,0,0,1);
    -moz-filter: blur(10px);
    opacity: 0.5;
    -moz-animation: none;
    -ms-transform: rotateX(90deg) translate3D(0,-50px,-100px);
    background-color: #999999;
    box-shadow: 0 0 30px rgba(0,0,0,1);
    -ms-filter: blur(10px);
    opacity: 0.5;
    -ms-animation: none;
    transform: rotateX(90deg) translate3D(0,-50px,-100px);
    background-color: #999999;
    box-shadow: 0 0 30px rgba(0,0,0,1);
    filter: blur(10px);
    opacity: 0.5;
    animation: none;
}

@-webkit-keyframes spin {
    0% { -webkit-transform: rotateY(0deg) translateZ(-50px); }
    100% { -webkit-transform: rotateY(360deg) translateZ(-50px); }
}
@-webkit-keyframes lighting {
    0% { box-shadow: inset 100px 0 150px rgba(0,0,0,0.4), inset 0 0 150px rgba(255,255,0255,0.3); }
    100% { box-shadow: inset 0 0 150px rgba(0,0,0,0.4), inset -100px 0 150px rgba(255,255,0255,0.3); }
}
@-moz-keyframes spin {
    0% { -moz-transform: rotateY(0deg) translateZ(-50px); }
    100% { -moz-transform: rotateY(360deg) translateZ(-50px); }
}
@-moz-keyframes lighting {
    0% { box-shadow: inset 100px 0 150px rgba(0,0,0,0.4), inset 0 0 150px rgba(255,255,0255,0.3); }
    100% { box-shadow: inset 0 0 150px rgba(0,0,0,0.4), inset -100px 0 150px rgba(255,255,0255,0.3); }
}
@keyframes spin {
    0% { transform: rotateY(0deg) translateZ(-50px); }
    100% { transform: rotateY(360deg) translateZ(-50px); }
}
@keyframes lighting {
    0% { box-shadow: inset 100px 0 150px rgba(0,0,0,0.4), inset 0 0 150px rgba(255,255,0255,0.3); }
    100% { box-shadow: inset 0 0 150px rgba(0,0,0,0.4), inset -100px 0 150px rgba(255,255,0255,0.3); }
}
@-ms-keyframes spin {
    0% { -ms-transform: rotateY(0deg) translateZ(-50px); }
    100% { -ms-transform: rotateY(360deg) translateZ(-50px); }
}
@-ms-keyframes lighting {
    0% { box-shadow: inset 100px 0 150px rgba(0,0,0,0.4), inset 0 0 150px rgba(255,255,0255,0.3); }
    100% { box-shadow: inset 0 0 150px rgba(0,0,0,0.4), inset -100px 0 150px rgba(255,255,0255,0.3); }
}




